GNU bug report logs - #46935
28.0.50; Annoying interactions with X clipboard

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Michael Heerdegen <michael_heerdegen@HIDDEN>; dated Thu, 4 Mar 2021 23:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46935 <at> debbugs.gnu.org:


Received: (at 46935) by debbugs.gnu.org; 6 Mar 2021 12:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 06 07:34:05 2021
Received: from localhost ([127.0.0.1]:36182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIW8D-00060n-J1
	for submit <at> debbugs.gnu.org; Sat, 06 Mar 2021 07:34:05 -0500
Received: from quimby.gnus.org ([95.216.78.240]:45860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lIW8B-00060H-RW
 for 46935 <at> debbugs.gnu.org; Sat, 06 Mar 2021 07:34:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=RSaYx7XAgNWFs9+79GcWIHttiElLsdD1asaGuGOmnJQ=; b=W/TEa9Q2t/5rWi79DDmiIGr++A
 o8+wEKp+Tzckl6DBf/KfLrqMUDQyVFVJfNqpiRmZtrwT57FzKqFhL+VoVwe9+d4Jft7Ne++1A8PjS
 txImIjM4WC8wJvpVuD+CUzP9rZUoLkYGcjfRyIjcaTXEJFdqwPQVr6dsawBJPl6v5Hz0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lIW83-0001RT-Cc; Sat, 06 Mar 2021 13:33:57 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#46935: 28.0.50; Annoying interactions with X clipboard
References: <87blbyzefq.fsf@HIDDEN> <871rctr9w5.fsf@HIDDEN>
 <87im658bed.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEX29uK9srZnUVKw
 2vbCOD75Ex3////dnJq2AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UDBRALNVNCFOsAAAGxSURBVDjL
 jZRdkqsgEIWb8i4ggPMeWn0XOwu4OrKAWLD/rUw3oNGZ1NT0A2XO1z8HlAC8DwW/hLr91DSAQbzX
 X82h95EXxFJB0IxqzI//BCh0FYw0Gsq9U67Y8y0RMWAUEgpQOgM/WQFEEGLIFTJ1BHJTV0CL/XAA
 Iu98Bh63FdNaARBNBeh22dKa0v8X0FOnnXngElNKz13OwHbOBJFZVyegyWEQOcWbivtsmjprddXt
 GF6AR5tB5JAshRT3Tp5Qm7AwGD6pTSfgqN0ymKlfa0XjsbPGpwzmDvu+VoD1qKeQwdL1GIcKlCWD
 iwDcjOP8UHZIfKxTv4WVKwwOoTjOI9hpWOKwhMUfO8muXBsFxI4+sp6KDs0jRT7RMMsGJD5pLG65
 lgc+6VH0WV4jh89dUyRf9KdsWEgout0HZ1161XmHoZpfgZxofdgLoMz7OOulJOuH0RplxsXo0QlS
 bC5GDxCh6pGu4AZno6/ZAN8Msdy812s+XA19B8+TfAZP+JGfQcw38JovgD9isFKjPZ3u9Lag48tu
 DHa8OnQncMccdyfrAWbevOKbcpNDePPv8ddQX9SQrkJNaazEAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIxLTAzLTA1VDE2OjExOjUyKzAwOjAwDmLMlQAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wMy0w
 NVQxNjoxMTo1MiswMDowMH8/dCkAAAAASUVORK5CYII=
X-Now-Playing: Cabaret Voltaire's _The Drain Train_: "(Shakedown) The Whole
 Thing"
Date: Sat, 06 Mar 2021 13:33:53 +0100
In-Reply-To: <87im658bed.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 05
 Mar 2021 23:48:42 +0100")
Message-ID: <875z24piku.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > I
 wonder
 if Emacs, like Firefox, also does not hang indefinitely when it > happens?
 I didn't have that impression, but as I said, I can't test > ATM. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46935
Cc: 46935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> I wonder if Emacs, like Firefox, also does not hang indefinitely when it
> happens?  I didn't have that impression, but as I said, I can't test
> ATM.

No, Emacs hangs forever -- that is, until you hit `C-g'.

We could add a timeout for this...  but yanking data can take an
arbitrary amount of time, so I'm not sure we want to go in that
direction, either.  For instance, if the process we're yanking from is
busy doing something else for a couple of seconds, we will get the data
after it stops being busy, and a timeout that's longer than a couple of
seconds isn't very useful anyway.

So I think the current design -- just wait indefinitely, or until the
user says `C-g' -- is probably the correct one.  Any opinions?

In the default Emacs settings, you're only affected when actually trying
to paste something from other programs, but if you have a package/use
settings that make Emacs interact with the clipboard/primary selection
all the time (which it sounds like you have?), then the problem is
exacerbated, of course.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46935; Package emacs. Full text available.

Message received at 46935 <at> debbugs.gnu.org:


Received: (at 46935) by debbugs.gnu.org; 6 Mar 2021 06:13:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 06 01:13:02 2021
Received: from localhost ([127.0.0.1]:35903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIQBR-0002lN-Vi
	for submit <at> debbugs.gnu.org; Sat, 06 Mar 2021 01:13:02 -0500
Received: from mout02.posteo.de ([185.67.36.66]:51985)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thievol@HIDDEN>) id 1lIQBP-0002kp-Il
 for 46935 <at> debbugs.gnu.org; Sat, 06 Mar 2021 01:13:00 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 432B424028B
 for <46935 <at> debbugs.gnu.org>; Sat,  6 Mar 2021 07:12:53 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1615011173; bh=wzyF29nrrOtkhayfZEp6cRWZHkRkrTrN0W9TP2gn8YE=;
 h=From:To:Cc:Subject:Date:Autocrypt:From;
 b=b29WGF3h1fDnsLy+VNz3ND4NOd7betmhmYipCwFHOilkFLAVavqModxwWdeHcrP1r
 dPU2Oy7iLFlnNqLlFOOvrCIx1yFhHLHX3Vc9b/6depvLoetuzsHzZfCjQ+UXcn8KZJ
 YnX4uuO8DL5e7pXGMbMCPWlSOgOZ0DnPO2kZi185SZF4A37ubSi5xuAL8rUtPQH8U7
 FMsh7GZvzm/b0UOw7at4/CvjXKc66zm+dkQ7UVqmcVINFe0Rn2o4Tw0QwyO99sw3VQ
 kV+d6y1fEp6A07NI6rFw83Z80QWSUhsRVSl6crhjN8JKJcUKDkcj/g7rIBBbu4XsQD
 t7gtgM3b5F7lw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4DsvR75sxBz6tmH;
 Sat,  6 Mar 2021 07:12:51 +0100 (CET)
References: <87blbyzefq.fsf@HIDDEN> <87y2f2m551.fsf@HIDDEN>
 <87mtvh8bnn.fsf@HIDDEN> <87ft190z4l.fsf@HIDDEN>
User-agent: mu4e 1.5.8; emacs 28.0.50
From: Thierry Volpiatto <thievol@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#46935: 28.0.50; Annoying interactions with X clipboard
Date: Sat, 06 Mar 2021 07:11:01 +0100
In-reply-to: <87ft190z4l.fsf@HIDDEN>
Autocrypt: addr=thievol@HIDDEN; prefer-encrypt=mutual; keydata=
 mQGNBF8ylcIBDADG+hy+zR6L4/vbdDDZuSaMmSrU3A5QZJpeBCvxTr7MpzzruZbhLPW1K3R6N2MA
 edi8Y+C8o27FVRIjpdbaKMGu9je7JV/TbUQYo3SOwCK1vM4LUn4V6ZLzSYkuiEt4eyMoiDdyvN0p
 kcK6P9x9DCetcEVszXzQg+yzCVrQ2hXWDXWT4M18EC3wtO7RHPouMqGiwBFhBAYErCqFWFxQHkfb
 tG/4yGyJ58rglb65O3qijjMWvYwcWZun9/7qm8Z4/4mHopmo2zgU+OrptnLSZfkZGz3Y7Uf452xQ
 GVq0Fv75NPvQru7y+DYVhuVXXyAmGxt+vf4rIiixMBbhKEPjcxEPAa2LTzex2IsTZR+QVG9uDnqC
 WcgaOEQ58fzXNvNhtwwF/Rgio2XWAJVdmFWS59/k9W58CIUSNKBMZh2XeGdEmtHvDtCxW3z6FJha
 36RzOM3fMNNiAGdFZJA84gcdloJR+sHCDTTPT3784fjr+V8An7sI581NGFzkRQqPvEQCZbUAEQEA
 AbQSdGhpZXZvbEBwb3N0ZW8ubmV0iQHUBBMBCgA+FiEEI9twfRN7r3nig/xwDsVtFB0W75MFAl8y
 lcICGwMFCQPCZwAFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQDsVtFB0W75MB3QwAlTsVzFmr
 +S/tMKwwwOibjhNPi/OZiUC2AYfaqfVAiIHDT3RbzDe03sAJoomJkJnYVjGzQZwibCMO2+ITkMPV
 2wvrd4CbgS1KCVbrltwcuK/nxPCBaHytOCZUIInnhJo5PE/h03K0rWhUFLDocpnWwI7mPq33oR9N
 u2XMNtUQeWhhZHj8dvpMazWIR/c4iPnQiIobETISNlKIVo7DZSl67btoBrZygVYobgHpAYLBpHtH
 pXUcfM+Jrl8ytLouZ2XYeqzezr1qUDXhPk6mXtEVLJsK4FSS4wT5hPpRozuIwj6sE8OGJIp5uUhm
 SYm9mjRNJBEgmGUNxMQ/wbcA3NEWxBeIZbRvxMgHG47GJ0TJM4xLpGC8BHUZvuIw05gAtgoA3BGh
 5GXbLWy4fi8ozJA/kCkP43d3zh4wTOfQterVTf90bbw6NiNcmXdKH7E/yO1or06bleza39PJsshX
 8EETESzVIifk2yDnc0/CQ+FrLY9IwOOszkMouFXmiwN1xMkjuQGNBF8ylcIBDADnIDHEkmk4lUwT
 lOhwb2yjUfmGPnpH3MCCHkjM9H/P1gTHxFWtwFVPcNMCwXWvKSBTF2dZXKERD0yzG06zT53ZMN7E
 IIeuY6m4R8IcMvpohciisWxbFoB4ZY117tVSeqjo946itgbpdeESKl9a8dpn7ytZMyYxPdojlQAq
 xeAJ8444raESh1oTKXb64hlk4l2pSRlrLgjpJBo8asAfZndaxIUKhw68tV8sqeZh9P6cGtHbUELK
 VJqefNV7V7jF5wf3xvRG6Ces3kSKXalLfs+vrVaoOjQeWrc0AtwFWHmt9JLfKrqF+Q2Q7jUidboW
 mazQM56ESJFPpPHmWq8k6DHspsFHOforLouTHJL1556IPne7IV2BGfWc0+xLxalZ8F5F+vnPF/Ok
 rC1CD5iCKTjXKa2iZbcYdYQAiL6P8Ac8CgN6EkhpbxRtzrEgChuNGevdi/G/GHG4Zqrh6YFwIa/N
 Hq2aVaFq5C1yNTMJd1FRjRzs5JPPlJKpYDnNx+MSp7UAEQEAAYkBvAQYAQoAJhYhBCPbcH0Te695
 4oP8cA7FbRQdFu+TBQJfMpXCAhsMBQkDwmcAAAoJEA7FbRQdFu+TXsEL/3nCs8oDLBSTPXylenWK
 CYLdfZSg8jmwgRKihktU1ZLf8kL/LtEhxdKc9nYQO0gTYdPQ+HEdFbm+gFZ4AxuCtd5zM+MP5Sej
 pfr93QbLwYCiqsudKa+T7wosBBNFnh8ZQkbnsF6iPIeESCJM0Vhjh1lQ+z1qVkdf/yazwmXspOUh
 3kx8dzJQ1F3t6Dj/zHpdNE11bT6wFwTPBFvFeH0yCwDpvVcLbH0xf/0V/RhwkQ4jjae0Cqn8domz
 RpGODjXkAzoRqpRL9/DvIKTQ/uJQqzu6qvi04foFCmtWTSahJiLtbgHSDNj1HHOivtgeTgtVdAEk
 ZAqAXJfmaM8KkEi8Rqcbz3AzkjNWjQNkel0xjB3wkewds1iGcvo2/etWOXcvFiLUpy7YnLMZ4J6d
 jNpwSwDzxvJVy0OvB9SgVF0hX5DdbKTRBSZpGYQgoVdPelGnqs6uq8fa1Ker587E6O6haTIX779d
 pd5UIX75/XbtumwE0L+IvMpekoM9zH8pCowu4g==
Message-ID: <87v9a4x127.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 46935
Cc: 46935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Michael Heerdegen <michael_heerdegen@HIDDEN> writes:
>
>> > IOW the block in subr.el:
>> >
>> >     (setq while-no-input-ignore-events
>> >           '(focus-in focus-out help-echo iconify-frame
>> >             make-frame-visible selection-request))
>> >
>> > is not evaled, it is in emacs-26.3.
>
> After using Emacs now for half a day with this expression added to my
> config I can acknowledge that it solves part (2) of this report.  As
> said, I don't understand why the expression in subr.el has no effect.

See bug#46940, Eli fixed it in emacs-27 branch.

-- 
Thierry




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46935; Package emacs. Full text available.

Message received at 46935 <at> debbugs.gnu.org:


Received: (at 46935) by debbugs.gnu.org; 6 Mar 2021 02:55:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 21:55:48 2021
Received: from localhost ([127.0.0.1]:35796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIN6a-0004Ru-Gd
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 21:55:48 -0500
Received: from mout.web.de ([217.72.192.78]:41895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1lIN6Y-0004Re-E6
 for 46935 <at> debbugs.gnu.org; Fri, 05 Mar 2021 21:55:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1614999339;
 bh=KgnHbCzv7rmPqUgHIBMnY7b76ZKRm5lHd8hrC3gO/sM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=gW9OH6apcciP0KSPcSS6h1Kl+EkpVCG68aUNjl0Xvu1CvX599P5XycOUR7RmSe8RU
 igbTq8GoYLGAHU1Ytx3iu95ZkecCR1S/x+TKu7q/MDWZOn9lhTLAkRojjroIC2dxt0
 ItovZTspZSFhWzRwUUyblouxAsiMkMziZGQhvs9s=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.220.60]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MXocY-1lHAn911lU-00YFMA; Sat, 06
 Mar 2021 03:55:39 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Thierry Volpiatto <thievol@HIDDEN>
Subject: Re: bug#46935: 28.0.50; Annoying interactions with X clipboard
References: <87blbyzefq.fsf@HIDDEN> <87y2f2m551.fsf@HIDDEN>
 <87mtvh8bnn.fsf@HIDDEN>
Date: Sat, 06 Mar 2021 03:55:38 +0100
In-Reply-To: <87mtvh8bnn.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 05
 Mar 2021 23:43:08 +0100")
Message-ID: <87ft190z4l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:noxWeTNrY7zJNA96imNiOsGQPubMKSoR6b2SCbfnJTcwPNF+0Vn
 xjaprrRLfKSCqqRZiIq6b9xbNTgNv8fNdhcBMXoEG9g0XNtYrc0r5bY3BxbBe9Rpe0FknmF
 Z0R/h7pmtOZX1/wMUe8Z550s/qGnWc+0viDxBAM+VzNTVszaJtFVNh1dHc68DLn2fbsJ7fw
 lLqof0nwYuxL5rX/TJN5g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:FDxsRcRJ87w=:GMdHaKr9kunk1NJ0Bqr2+w
 A63UApbWJvADog99+8NlZ45JaCQJYqHxRHTfkXVNSVa0rhmlPip1zkFvSIarIxmsVCxuAhvYw
 5TweUISe0WvRF5Qa1rIoodUS7ITnrN6zD4pNZbYOBoakBrNTI368z2QAh3dOnFXoOv8ojcxPa
 o1lqblyLkq0dgMKNIbrz3CVziEVNqKYDUVa9gCAduNv6gLFHqdTDyYEd1asPG55mMBf/sTZaE
 QGhHGDgn5Kp68k2PMqGysw+1FeySP563wAq5PbQSRa/2LajZj6MsUMBhyVLnqul8Q+q+UFifX
 QdGSpOegyHgNvC9o9mhEyjLL+fL5F3tmcv2EdtUgdaH4f8JZ7M4BZLn6xmk90INUZm5+U7NGD
 fIaVUHGiaBBMkgKqOV3H9x9DsgUk+aum3fjk0pEM/lF93kwj4qy0qq/ZqjpB6fMdjYgjx9ct9
 rrFE9OuC/D6y9HzDBpqwzTmmmyiDVjIrudBi5zANeQPdCT+cCZ1CvAQeH2lVg7KiM6GiQnnID
 HMAlPCbh5QXngjTnxbwyY1h+yW19/6e8XwlnSTIvq9FZhqxZKPe2tkerbc7AsGqQOyJoqs/ZS
 RS727Mn6bOObylSd7Cu3jSF1l45NW/MLEE4/CynL0iPOdKd4jXewrvnnMeEg+i5Q48Fxl2AES
 GZnd0DtEtOwEfLNd7o+hOD5iTR4Dwf3ZQgO/5MjuABuWccaaf88EhUvGajhT5z3h1V/a6cvAQ
 KtA9OaIO4g+dZuKrb7PzQqzvo4N+Dhwlt0vdY6lc9Hkr0borvv18NlUuLkohARsg6HOxyW/O5
 0rA0RhZiWyfmkQCrNk23g+pPIJQKRv4/AfPssNOBjw2ScUAJiIxCtkuhWx3NI8ZZg2BZjGWNx
 plZq03V+U6Bc66FKkZ+uz6JOD0sa/H9JzrGOma2UQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46935
Cc: 46935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> > IOW the block in subr.el:
> >
> >     (setq while-no-input-ignore-events
> >           '(focus-in focus-out help-echo iconify-frame
> >             make-frame-visible selection-request))
> >
> > is not evaled, it is in emacs-26.3.

After using Emacs now for half a day with this expression added to my
config I can acknowledge that it solves part (2) of this report.  As
said, I don't understand why the expression in subr.el has no effect.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46935; Package emacs. Full text available.

Message received at 46935 <at> debbugs.gnu.org:


Received: (at 46935) by debbugs.gnu.org; 5 Mar 2021 22:48:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 17:48:51 2021
Received: from localhost ([127.0.0.1]:35641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIJFb-0006wm-EQ
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 17:48:51 -0500
Received: from mout.web.de ([212.227.17.11]:52461)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1lIJFZ-0006wY-Us
 for 46935 <at> debbugs.gnu.org; Fri, 05 Mar 2021 17:48:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1614984523;
 bh=3lfEQkOd2twRExceELiOc8QUhqgNiGRE5W6N0rhSEUA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=ZTXOq81wmzdG96efL4HSbu+/esGYpJ9lCIFf6jzhtwaABZ/YmxnGlB4PtDCsWWYIz
 WCC/f9Zc+ZkekWopND0Zc9dsbOXfJ5PDCAWhtd+GLUrHDdyaW8yTQMtom8eeBQJvc0
 dHRFVqf8dkxsY73TQIkTAl8inzLmO3qELAiY8IEs=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.220.60]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MkEhH-1m2cMc0mC1-00kZOZ; Fri, 05
 Mar 2021 23:48:43 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46935: 28.0.50; Annoying interactions with X clipboard
References: <87blbyzefq.fsf@HIDDEN> <871rctr9w5.fsf@HIDDEN>
Date: Fri, 05 Mar 2021 23:48:42 +0100
In-Reply-To: <871rctr9w5.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 05 Mar 2021 14:46:18 +0100")
Message-ID: <87im658bed.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:4AcQ1vIRKZE47s7dyPbQT4xRdW6NRwNv4OoHT1xEGSVe29UdHnR
 Grj4yOaZ4V2Ltv5uiqZ0TWGiF0IJ602aJt9MYvzkOAeKC1/ZdWtLoqUKEqQ0xIp+Pq2VC6k
 NE5k6cxZcpvNRPNlPLIYsi57xfCYFjx+elTdfbqiO7dH9H293MNz3pq/2y66bHUBVnbxMLl
 9rE/ZTmfobOAb6PUiji9g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:46bwPScP+wQ=:kPAGZqbqOnm0RnxFZZ/mSM
 s18htCrRt+VSem4x9ZUHgf5/leHpD5GejlOef6h3F2P8c4/wC7kW8h/zzBkA0NBQ4e2oTuIeW
 THnTWTPtsUZQCqgqwzRgu676ef4FJYKqRjh5Da+q+8aeXRI0YV3ppwPv1rCYE3U01yv7TDu/F
 lT4YRSryyYRUwXWQUKnjSZgUasyvny9KNUd0g/M2IEQNyK34h1/G0E+wqLpaKDP8Gd+6JbZ38
 4WvANJhWvDrdTl8+7CIbfzbrQk/lrw14N+sAtkah4hDgP37iGArqMswops3uJridYkehO2nb1
 uRhGe7F0RSnTGwfn3IMQxpOz9XgGj32tDr3PRz1bDGFYSRRBz2O0g4jtCYo8rZQ2yBvq9XxkQ
 xC5zxTFga+N0fzCswMuUQ59lz5ykebax1KhlLoi1fxKPSWFRMY66GQGTSFC1ioD/ro4jUp06f
 ywfFHRqynEMYuABb7PN3n+5pjlrSgBzhnJF7jUggLipjS4QJQuYQLQEuDlUPOU/kmYHbhTNtn
 XrB+qpWJuSeFMC6SRMbIrB+3PojjTz/7EynX2lIf3LIUGbov64WjhFce/dDdMJl4wEkQAZ7bO
 rNf2l/rpoY3dWZzOFnmy1tEJGl+r+lk1WcPjZ0lqCYTHrClDibDe5HW4us9o2+Wcikdg1+l2N
 VRe7P+P5QjuDcRw3cltB8FhfxEu71VYZFb9YGc6R03KP+9WV9p9GKyYg7i8slKB0wb+EVJHKX
 iMdb2K8b7TnIul1UOsDuVzbZC/HG0WxXP/KXgYpGA9o0R2wnu6ZVkLXfQuXW9EFoQnCHcI2yR
 UcRhkyPzl7yMK40qw4jsyErvzvG1deZyhi0h1q2L2DNYH/O7pqxAH9vjWsRHBKh/G39T9813W
 XWuorh7pl3B/Ljm/POIbQnxZ3Mj+NMxaflUJQRl2o=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46935
Cc: 46935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> But I see exactly the same if I try to paste into Firefox, so perhaps
> this is just how this stuff is supposed to work?  (That is, Firefox
> times out after a few seconds, so it doesn't hang indefinitely.)

I... I hope not.  Sometimes it doesn't happen, for example right now, I
can't reproduce the issue with another, sleeping, Emacs.

I wonder if Emacs, like Firefox, also does not hang indefinitely when it
happens?  I didn't have that impression, but as I said, I can't test
ATM.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46935; Package emacs. Full text available.

Message received at 46935 <at> debbugs.gnu.org:


Received: (at 46935) by debbugs.gnu.org; 5 Mar 2021 22:43:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 17:43:19 2021
Received: from localhost ([127.0.0.1]:35636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIJAE-0006od-Op
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 17:43:18 -0500
Received: from mout.web.de ([212.227.15.14]:33351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1lIJAC-0006oL-9r
 for 46935 <at> debbugs.gnu.org; Fri, 05 Mar 2021 17:43:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1614984189;
 bh=cWXp/eKd9VS/Mkc/t5da4/2lhbPg2l6UdHiW8j6XTE4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=I4N/mNX8hLbLczZNgVfeUZJ1AU4vY9cQHEGd2LEBfqC0opBaAgH42U+/37H3YKla3
 aEzepwwMbveJ55eNrWSdKDxBOqnO8OLp6TDEQWI5hUsvRBzq8ZtOazrMs2Y2l+zTl8
 FHqm0rgSDbKKHaX7ElCU6c35D9QhGZYeD3r9UYz8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.220.60]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LaTpn-1m3AQM0ovP-00mHDY; Fri, 05
 Mar 2021 23:43:09 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Thierry Volpiatto <thievol@HIDDEN>
Subject: Re: bug#46935: 28.0.50; Annoying interactions with X clipboard
References: <87blbyzefq.fsf@HIDDEN> <87y2f2m551.fsf@HIDDEN>
Date: Fri, 05 Mar 2021 23:43:08 +0100
In-Reply-To: <87y2f2m551.fsf@HIDDEN> (Thierry Volpiatto's message of "Fri, 
 05 Mar 2021 08:27:54 +0100")
Message-ID: <87mtvh8bnn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Cj3lABMmoke4TLZXPYXHgc3Pzsb07qJPUz22wdxIyimkCzXN7tl
 m5gCTw7IUPBvxZJcuAPIQ9YVA3ZCD1d/H1lkN7c4n63F1XvYeIJVuTXyUpksGay4zxZjgTi
 cBoY6eX7KRiBFbI1ikJ0DiIN4tiTndfeQmq6neC5FCLdlpG0ePh/ijjsQJsosx40oOjVccQ
 xH+Q6aFRGdVxrCYqcfP2g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:tjP2sIlsXmA=:P3q29RMIodU+8lCRhPyFsD
 uc5YT07LMb8RWxC48F3rV3sMWbQbJ8ktHSDVU5I9cVKZch4cOgzoF8TDtX0BBPlfK7+qR2vOR
 f1bF0LRE1OoGjqSd5zjucJrg9Re7gbrfc1bN77dmJxa4nyk3iIUuBk7EuXB90WhrcmrVmtSrW
 oAybtPLQOxJ2X5/KEYLc4NQo1fAAoQ+opzWeqMhFDuo5FddqEkeXmD36CdsDnHgNjosVMALSE
 Gs+XPECBQa3YI+gmSJGpNDA+Tni7DJnQDhSQS1Q1ACTadD1Q36Xvr4QoVt7rPwdUWaOV2i9bc
 yClrXQhd1PL/e2OTez1dfQPgtrOUcI+IOuk6+MFs42YgvuQiaFEvEHNs8v58CpGbBQqt3Hvps
 3b1VEpZqpDeHtpyx1MddF72JtHKBJ7F+6SZdQuth7X5zLR98gPA55ECVdGe4A2XseuU5QvZii
 vNNz1JxTb1m7o4hnYwp/ggZxzjotPBbJ8fQLUvPIbuQcZjY8mfh8p04HDUtMp3Zk+3nqUW5o3
 bC3UKJhmMgeFsqT8Klk+xF9g9ZWm5N6m1MKry32arNieBc+opEIWRqsENLCNlKmm39kQgMLEo
 nyz1xgthJcLKJH+nfaPaa6Hu9ooYX2S0gxrvFaV8m/YglXreXAwQnVyobF9iMyxTR+mEDg1jo
 lMESwwxwEL4vxKNOTDjkDFf13FkqcRzdK2qjOjihR+U1KRS9t3CtlVK/5vqGTZsFBihOm6c1Z
 zJNlSVhImSuetZtHk+s+nKldhtK2WrsiC30KS7hMrHXh/6ez9KCX/FSDt3AaL3M8pOEr2FbpH
 +qTmyYTMg8XRdtrKYeVLb79bhP75VUqkU1FKN1U0s1fJGNIwZrT6cAxGjswhqPrj6Ob96XgAt
 NDL82PTQPWWSdNXjK8Q2Hb6Xu9O+vpjAt17DIJNRM=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46935
Cc: 46935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Thierry Volpiatto <thievol@HIDDEN> writes:

> > What would be the shortest way to find the cause?
>
> Starting from emacs-27, subr.el is loaded in a way that
> `while-no-input-ignore-events` is not set, so it default to nil.
> IOW the block in subr.el:
>
>     (setq while-no-input-ignore-events
>           '(focus-in focus-out help-echo iconify-frame
>             make-frame-visible selection-request))
>
> is not evaled, it is in emacs-26.3.

Ah, very valuable information.  Yes, the binding is nil for me.

Do you (or anybody) know why this setting doesn't have an effect any
more and what has to be done to fix this?

Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46935; Package emacs. Full text available.

Message received at 46935 <at> debbugs.gnu.org:


Received: (at 46935) by debbugs.gnu.org; 5 Mar 2021 13:46:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 05 08:46:31 2021
Received: from localhost ([127.0.0.1]:33272 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lIAmk-0006ha-OS
	for submit <at> debbugs.gnu.org; Fri, 05 Mar 2021 08:46:31 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lIAmi-0006b0-Fg
 for 46935 <at> debbugs.gnu.org; Fri, 05 Mar 2021 08:46:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=xHeMAQ7DU2PM4tR+K1EeFHjHTvV4HRlUHOZRN3WS8Oc=; b=H2RpGfLzrnT9+ni4Q8aaIsP1+6
 VpRvNnIjhNHDlBHCoq9Q/c8po7Nh14x3ajs8dUW5gohtVaQd7YekQo8nZvj3mug8yolQO0GTTSYhI
 eXhTtv6sAsstP1giaSnFWh3s0nK7gCIYLDvDstC1ooS68gCA6LYHKCNBB+tJ4oiuWBI4=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lIAmZ-0007J7-NF; Fri, 05 Mar 2021 14:46:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#46935: 28.0.50; Annoying interactions with X clipboard
References: <87blbyzefq.fsf@HIDDEN>
X-Now-Playing: Cabaret Voltaire's _Groovy, Laidback and Nasty (vinyl)_:
 "Hypnotised"
Date: Fri, 05 Mar 2021 14:46:18 +0100
In-Reply-To: <87blbyzefq.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 05
 Mar 2021 00:28:41 +0100")
Message-ID: <871rctr9w5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > (1)
 When some other program is very busy or frozen - that can be a > browser
 executing javascript code, or a program that has crashed or is > frozen, or
 (this recipe works only sometimes) another Em [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46935
Cc: 46935 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> (1) When some other program is very busy or frozen - that can be a
> browser executing javascript code, or a program that has crashed or is
> frozen, or (this recipe works only sometimes) another Emacs that I have
> sent a SIGSTOP, then, when I try to copy or kill text in any buffer,
> Emacs also freezes.  Seems to infloop.  C-g always helps, but any other
> trial results in freeze again.

I see the same with "emacs -Q" when I start one emacs, choose text with
the mouse, C-z it, and then start another one and try to paste (with the
mouse).

But I see exactly the same if I try to paste into Firefox, so perhaps
this is just how this stuff is supposed to work?  (That is, Firefox
times out after a few seconds, so it doesn't hang indefinitely.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46935; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Mar 2021 23:28:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 04 18:28:52 2021
Received: from localhost ([127.0.0.1]:60593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lHxOm-0002zY-CI
	for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 18:28:52 -0500
Received: from lists.gnu.org ([209.51.188.17]:52056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1lHxOi-0002zP-U4
 for submit <at> debbugs.gnu.org; Thu, 04 Mar 2021 18:28:51 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:38846)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1lHxOi-0002io-Ls
 for bug-gnu-emacs@HIDDEN; Thu, 04 Mar 2021 18:28:48 -0500
Received: from mout.web.de ([212.227.15.4]:33009)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <michael_heerdegen@HIDDEN>)
 id 1lHxOf-00064v-OI
 for bug-gnu-emacs@HIDDEN; Thu, 04 Mar 2021 18:28:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1614900522;
 bh=aVjW74ViqtWFQfF9+IjqFhpQOMGEr0phMVY3NgJrCzQ=;
 h=X-UI-Sender-Class:From:To:Subject:Date;
 b=sEPE38wfdpCyav3DR+GvTXtB+WDjVWdmGz1OlQsjumiezZQadTZBT6jrM3Z6wY/vh
 JmuYfUf7pU8gIkHYlcrVqgaI3fK0bmX/MOK/pFnO1V+tXxVxIHOuRvZSJ25Js1Pl9/
 AUXpLZ6Kw6NjeoVvPdh0rYV57/RwHDPMpxnYsD2Y=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.220.60]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MSGXj-1lBWPy45d5-00TRDI for
 <bug-gnu-emacs@HIDDEN>; Fri, 05 Mar 2021 00:28:42 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Annoying interactions with X clipboard
Date: Fri, 05 Mar 2021 00:28:41 +0100
Message-ID: <87blbyzefq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:L3Se36GVA+lLgml35goirShd6Cn5JyTItV+VwVtwsPDLseFDw4H
 y/ONrcfVlb6kpMQwUw2viIavjBPhMwJvFzF6sKsG6Z1GQd/UpHb891txNcgJv28ZhUL/UQR
 hFgP8lg3E0CAh8EiRYC0iMHD466nh8/29+i4FiOO0viv1JbxAF1ci3mB50weq2OTsE2Mlmw
 p+BUr7ZIbUJLS1jjl/uug==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:pCz1P9qdZi0=:QECR6l+xnGtkej5+D+94Qf
 2FXG3xAWW9t5AWJYO4hW/ABie+R2nQW097F2FKOE0Yeq6U7z/r9ke+sbZJjndw4fA8BnoEEO4
 HerJVVW0lSsXKFRW35w37mfm8hMZEucsda5GjEla+tsQ0Ia3Es9H8H5yzmvCpVNldeb62yKsT
 /XmZ1dx2lbNYrH1iD68Z5FsOcoxWOG79SdvkQO2HHOOrTm+g7uOKnmSljZXzarIHIxTippr0u
 8bcksBNBME93k8Z0/mZTfAUlO2i2kdu7CpdVWY7fcIAN4XsBhrLrKILRCDQK++hw7IsaquFSV
 VxkgEOcPGqW9TEmx0Dta6uxgj6G0daI8CxeDroOp9q6J2bK8GS2H+L/nBee5sGMLn22ti3Ilf
 2HdJitxVWaJF0IhFPbjTrIhK/IesvV36ote7JowfCzsBgjWKe0ssfcgcxKrH/GOhLufdDT4GX
 5Xv4CiOl6Jm/yoR24h7B2X91G+XVQDaebkpIRCXgeOpV5SUEOluN3VsQGkqaS2Zu3VhvzFzvt
 PjXVp9JAF5U6XcRgadX/CqQejyi5Rb7euIdzRzweiG8SIbpKXZU2NKmutTp3hoedFQehfOJn/
 PhXreFH25zL82Qp3MmbFG3lANfqPcMafluo5lsEXlYtv0Z1HEV//c5q096aMZvyOoYSotRLkg
 GWHNAkwIY9ATTsILArWDlp6Ep3Lv6nK/k5sB+WZnazCSGgLz3HASPMuEgurTGrVihUqi00CS1
 8w6j1Wdr0jbDvOFYqhPbSw/eaPoKX39LFbGBV6Q/LsraYg58jCVOsXepg7iwmzVH3jBTKOnOb
 U7Nsg7HUiQM2QjyadSRnUIP43HlegF/HJ4sqCD/hOIlgg6fpQkchalwLM6VBK56KRoD8Slg5v
 dxu3Xz2lN9pwdlsgRFZt/9DJl+gVP1DcvGsajtlFc=
Received-SPF: pass client-ip=212.227.15.4;
 envelope-from=michael_heerdegen@HIDDEN; helo=mout.web.de
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Hello,

I'm using Emacs under the X window system (Debian with Openbox window
manager).  I'm experiencing the following issues with my setup:

(1) When some other program is very busy or frozen - that can be a
browser executing javascript code, or a program that has crashed or is
frozen, or (this recipe works only sometimes) another Emacs that I have
sent a SIGSTOP, then, when I try to copy or kill text in any buffer,
Emacs also freezes.  Seems to infloop.  C-g always helps, but any other
trial results in freeze again.

In this situation it is impossible to work with Emacs in a useful way.
I have to close or kill the other program, or wait until it is not that
busy any more, to be able to continue working in Emacs.


(2) There are so called "clipboard manager" for X, "parcellite" for
example.  Whenever I tried to use such a program, it has a side effect
on Emacs: Emacs seems to recive some sort of interrupt event or whatever
- this is my interpretation - the visible effect is that some things
stop working, are interrupted, most of the time, this is Helm: instead
of getting a window with completions, I get an empty window.  Repeated
retrying always works sooner or later.  I think, but I am not totally
sure, that I also saw the issue in other situations.  Could likely be
that it is `while-no-input' that gets interrupted.  The effect is
annoying enough that it is not possible to work with Emacs for a longer
time and a started parcellite.  AFAIR this happened with other (all)
clipboard managers I had tried in the past.

Please tell me if you need information about my config.  Some related
setting might be

  select-enable-primary -> t
  select-enable-clipboard -> t
  save-interprogram-paste-before-kill -> t

What would be the shortest way to find the cause?  I also wonder if only
I am seeing this, or whether others only hesitate to report the problem
(would be nice if they could raise their hands now...)


TIA,

Michael.


In GNU Emacs 28.0.50 (build 9, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2021-03-04 built on drachen
Repository revision: fa74c6c89d67226b31d10bdef66e88cc484b20ea
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
System Description: Debian GNU/Linux bullseye/sid

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG SOUND
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: C
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix

Major mode: ELisp/l





Acknowledgement sent to Michael Heerdegen <michael_heerdegen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46935; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 6 Mar 2021 12:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.